# Create a restricted sharing group

Launch stage: Beta

`POST /api/2.0/access-control/restricted-sharing-groups`

Adds a group to the workspace's restricted list. The workspace allows at
 most 100 restricted sharing groups. Requires workspace admin.

API scopes: access-management

## Query parameters

- `restricted_sharing_group_id` (string, required)
  The id of the workspace group to restrict: the numeric id of an existing and
   non-system workspace group.

## Request body

The restricted sharing group to create. It has no client-set fields; the
 group is identified by restricted_sharing_group_id.
- `name` (string, optional, ID, Immutable)
  The resource name of the restricted sharing group.
   Format: `restricted-sharing-groups/{restricted_sharing_group_id}`
   Example: `restricted-sharing-groups/123`

## Returns

Returns the RestrictedSharingGroup object.

## Response

```json
{
  "name": "string",
  "restricted_sharing_group_id": "string",
  "group_display_name": "string"
}
```

